Bug 444073 - Fix SIGSEGV in gnome-settings-daemon due to xrandr (gnome-desktop output_initialize)
Fix SIGSEGV in gnome-settings-daemon due to xrandr (gnome-desktop output_init...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-24 17:01 EDT by James Westby
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-desktop-2.22.1-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-27 13:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to add NULL pointer check (560 bytes, patch)
2008-04-24 17:01 EDT, James Westby
no flags Details | Diff

  None (edit)
Description James Westby 2008-04-24 17:01:36 EDT
Please see

https://bugs.edge.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/197153

for the bug.

The attached patch just adds a NULL pointer check that is
needed to fix this.

Thanks,

James
Comment 1 James Westby 2008-04-24 17:01:36 EDT
Created attachment 303690 [details]
Patch to add NULL pointer check
Comment 2 Will Woods 2008-04-24 17:22:02 EDT
Patch has been sent upstream (see
http://mail.gnome.org/archives/gnomecc-list/2008-April/msg00009.html)

I feel this is blocker-worthy - assuming the patch is correct it's an easy fix,
and it's a crasher in a visible F9 feature
(http://fedoraproject.org/wiki/Features/RandrSupport).
Comment 3 Matthias Clasen 2008-04-24 17:39:36 EDT
Thanks, ssp said he'd look at the collected Ubuntu patches later today.
Comment 4 Will Woods 2008-04-27 13:58:37 EDT
Confirmed - this patch is in gnome-desktop-2.22.1-3.fc9.

Note You need to log in before you can comment on or make changes to this bug.